package cn.com.ctop.kuaishou.modules.v3.service;

import cn.com.ctop.kuaishou.modules.v3.entity.V3KuaishouAccountAutoTarget;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * 自动投放-v3-本地定向表
 *
 * @author jeecg-boot
 * 2022-10-31
 * @version V1.0
 */
public interface V3KuaishouAccountAutoTargetService extends IService<V3KuaishouAccountAutoTarget> {

    Result<Object> queryPageList(Long accountId, String targetName, Integer platform, Integer pageNo, Integer pageSize);

    Result<Object> addV3LocalTarget(JSONObject requestJson);

    Result<Object> updateV3LocalTarget(JSONObject requestJson);

    List<V3KuaishouAccountAutoTarget> getAutoTargetByIds(List<String> list);

}
